Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.cpp
[Java] Class CppExtension

    java.lang.Object
      org.gradle.plugins.cpp.CppExtension

    public class CppExtension

Adds a source set container.

Constructor Summary
`CppExtension(ProjectInternal project)`

Method Summary
`NamedDomainObjectContainer` | `getSourceSets()`
`NamedDomainObjectContainer` | `sourceSets(Closure closure)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### CppExtension

    public CppExtension(ProjectInternal project)

Method Detail

### getSourceSets

    public NamedDomainObjectContainer getSourceSets()

### sourceSets

    public NamedDomainObjectContainer sourceSets(Closure closure)

Gradle API 1.1-rc-1